Author Topic: Error on yum update python conflict  (Read 778 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Error on yum update python conflict
« on: May 06, 2020, 11:26:27 PM »
On yum update, I see yum is trying to install the following packages because of dependency:
 python3                  x86_64   3.6.8-13.el7    base        69 k
 python3-libs            x86_64   3.6.8-13.el7    base       7.0 M
 python3-pip            noarch    9.0.3-7.el7_7   updates  1.8 M
 python3-setuptools  noarch   39.2.0-10.el7   base        629 k

but on running transaction test, I got lot of errors like this one:
  file /usr/lib64/python3.6/xml/sax/__pycache__/handler.cpython-36.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/sax/__pycache__/saxutils.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/sax/__pycache__/saxutils.cpython-36.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/sax/__pycache__/xmlreader.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/sax/__pycache__/xmlreader.cpython-36.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64


It seems cwp installed python36u.x86_64 3.6.8-1.el7.ius which is in conflict with the regulare centos update.

# yum list python34* python35* python36* python34u* python35u* python36u* -q | tr -s ' ' | column -t
Installed                                packages
python36u.x86_64                              3.6.8-1.el7.ius                     @cwp
python36u-libs.x86_64                         3.6.8-1.el7.ius                     @cwp
Available                                packages
python34.x86_64                               3.4.10-4.el7                        epel
python34-Cython.x86_64                        0.28.5-1.el7                        epel
python34-HepMC3.x86_64                        3.2.1-2.el7                         epel
python34-HepMC3-rootIO.x86_64                 3.2.1-2.el7                         epel
python34-HepMC3-search.x86_64                 3.2.1-2.el7                         epel
python34-PyYAML.x86_64                        3.12-1.el7                          epel
python34-apsw.x86_64                          3.7.17.r1-3.el7                     epel
python34-argcomplete.noarch                   1.7.0-4.el7                         epel
python34-asn1crypto.noarch                    0.24.0-7.el7                        epel
python34-backports-ssl_match_hostname.noarch
3.5.0.1-1.el7                                 epel
python34-blosc.x86_64                         1.2.8-5.el7                         epel
python34-bottle.noarch                        0.12.13-3.el7                       epel
python34-bsddb3.x86_64                        6.2.6-4.el7                         epel
python34-certifi.noarch                       2018.10.15-5.el7                    epel
python34-chardet.noarch                       3.0.4-1.el7                         epel
python34-click.noarch                         6.7-8.el7                           epel
python34-coverage.x86_64                      4.0.3-5.el7                         epel
python34-cups.x86_64                          1.9.74-4.el7                        epel
python34-dateutil.noarch                      1:2.4.2-5.el7                       epel
python34-debug.x86_64                         3.4.10-4.el7                        epel
python34-devel.x86_64                         3.4.10-4.el7                        epel
python34-docutils.noarch                      0.14-1.el7                          epel
python34-empy.noarch                          3.3.3-2.el7                         epel
python34-httmock.noarch                       1.2.6-2.el7                         epel
python34-idna.noarch                          2.7-2.el7                           epel
python34-iso3166.noarch                       1.0.1-1.el7                         epel
python34-jinja2.noarch                        2.11.1-1.el7                        epel
python34-jsmva.noarch                         6.20.04-1.el7                       epel
python34-jupyroot.x86_64                      6.20.04-1.el7                       epel
python34-lark-parser.noarch                   0.7.1-1.el7                         epel
python34-leveldb.x86_64                       0.194-2.el7                         epel
python34-lhapdf.x86_64                        6.2.1-6.el7                         epel
python34-libs.x86_64                          3.4.10-4.el7                        epel
python34-markdown.noarch                      2.4.1-4.el7                         epel
python34-markupsafe.x86_64                    0.23-3.el7                          epel
python34-mock.noarch                          2.0.0-2.el7                         epel
python34-nose.noarch                          1.3.7-4.el7                         epel
python34-numpy.x86_64                         1.12.1-3.el7                        epel
python34-numpy-f2py.x86_64                    1.12.1-3.el7                        epel
python34-parso.noarch                         0.3.1-2.el7                         epel
python34-pbr.noarch                           4.2.0-3.el7                         epel
python34-pip.noarch                           8.1.2-12.el7                        epel
python34-prelude.x86_64                       5.1.1-1.el7                         epel
python34-preludedb.x86_64                     5.1.0-2.el7                         epel
python34-prettytable.noarch                   0.7.2-19.el7                        epel
python34-process-tests.noarch                 1.0.0-11.el7                        epel
python34-psutil.x86_64                        5.6.7-1.el7                         epel
python34-psycopg2.x86_64                      2.7.7-2.el7                         epel
python34-psycopg2-tests.x86_64                2.7.7-2.el7                         epel
python34-py.noarch                            1.4.32-2.el7                        epel
python34-py4j.noarch                          0.10.7-4.el7                        epel
python34-pycryptodomex.x86_64                 3.9.7-1.el7                         epel
python34-pycurl.x86_64                        7.43.0-7.el7                        epel
python34-pygments.noarch                      2.2.0-3.el7                         epel
python34-pygraphviz.x86_64                    1.3-2.rc2.el7.2                     epel
python34-pyscard.x86_64                       1.9.7-1.el7                         epel
python34-pysocks.noarch                       1.6.8-7.el7                         epel
python34-pytest.noarch                        2.9.2-4.el7                         epel
python34-pytest-cov.noarch                    2.5.1-3.el7                         epel
python34-pythia8.x86_64                       8.2.43-1.el7                        epel
python34-pyvirtualize.noarch                  0.10-2.20191018gitdc2d971.el7       epel
python34-pyvmomi.noarch                       6.7.3-4.el7                         epel
python34-requests.noarch                      2.14.2-2.el7                        epel
python34-rfc3986.noarch                       1.3.0-1.el7                         epel
python34-root.x86_64                          6.20.04-1.el7                       epel
python34-setuptools.noarch                    39.2.0-4.el7                        epel
python34-setuptools_scm.noarch                1.17.0-3.el7                        epel
python34-slack_cleaner.noarch                 0.5.0-2.el7                         epel
python34-slacker.noarch                       0.12.0-4.el7                        epel
python34-snowballstemmer.noarch               1.2.1-9.el7                         epel
python34-sphinx.noarch                        1.2.3-6.el7                         epel
python34-sphinx-latex.noarch                  1.2.3-6.el7                         epel
python34-sqlalchemy.x86_64                    1.1.3-3.el7                         epel
python34-tabulate.noarch                      0.8.3-8.el7                         epel
python34-test.x86_64                          3.4.10-4.el7                        epel
python34-tkinter.x86_64                       3.4.10-4.el7                        epel
python34-tools.x86_64                         3.4.10-4.el7                        epel
python34-urllib3.noarch                       1.25.6-1.el7                        epel
python34-uwsgidecorators.x86_64               2.0.17.1-2.el7                      epel
python34-virtualenv.noarch                    15.1.0-5.el7                        epel
python34-whoosh.noarch                        2.7.4-5.el7                         epel
python34-xrootd.x86_64                        1:4.11.3-1.el7                      epel
python36-Cython.x86_64                        0.28.5-1.el7                        epel
python36-GitPython.noarch                     1.0.1-8.el7                         epel
python36-HepMC3.x86_64                        3.2.1-2.el7                         epel
python36-HepMC3-rootIO.x86_64                 3.2.1-2.el7                         epel
python36-HepMC3-search.x86_64                 3.2.1-2.el7                         epel
python36-PyMySQL.noarch                       0.9.3-1.el7                         epel
python36-PyYAML.x86_64                        3.12-1.el7                          epel
python36-SecretStorage.noarch                 2.1.1-2.el7                         epel
python36-abimap.noarch                        0.3.1-3.el7                         epel
<cut the rest of the python36 package>


Offline
***
Re: Error on yum update python conflict
« Reply #1 on: May 07, 2020, 03:55:27 AM »
Please try to search the forum for future issues.  But here you go.
Code: [Select]
yum remove  python36u-3.6.8-1.el7.ius.x86_64
 yum -y update
yum -y install cmake3
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Error on yum update python conflict SOLVED
« Reply #2 on: May 07, 2020, 08:15:49 AM »
I'm sorry for not looking the right way (did a search on python, but It was in Information)

Thx for the fix, problem solved.

Offline
*
Re: Error on yum update python conflict
« Reply #3 on: August 12, 2020, 06:46:31 AM »
Thank You!


Please try to search the forum for future issues.  But here you go.
Code: [Select]
yum remove  python36u-3.6.8-1.el7.ius.x86_64
 yum -y update
yum -y install cmake3